getLinkedCreditCard

Use this API to get the credit card information through TransactAPI's integration with Stripe.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

UPDATE: Friday November 21, 2025

This endpoint can now be called two ways. The preferred URL is:

https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getLinkedCreditCard

For existing integrations:

https://tapi-sandboxdash.norcapsecurities.com/getLinkedCreditCard

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
accountIdyesstringAccount ID that is generated by the API

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getLinkedCreditCard
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d accountId=A49501

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
creditcardDetailsstringLinked Credit Card Information

Sample Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "creditcardDetails": {
  		"accountId": "Axxxxxx",
      "creditCardNumber": "9705",
      "cardType": "Visa",
      "createdDate": "2022-08-15 21:46:58"
  }
}

Test it Yourself!

https://stripe.com/docs/testing See more information on stripes accepted test credit card numbers.

Body Params
string
required
string
required
string
required
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!